# Python Fedora Module Documentation

The python-fedora module makes it easier for programmers to create both Fedora Services and clients that talk to the services. It’s licensed under the GNU Lesser General Public License version 2 or later.

- Fedora Client
  - BaseClient
  - Handling Errors
  - OpenIdBaseClient
- Existing Services
  - Fedora Account System
  - Bodhi, the Update Server
- Fedora Services
  - TurboGears and fedora.tg
  - Controllers
  - URLs as API
  - Return Values
  - Performing Different Actions when Returning JSON
  - Expected Methods
  - CSRF Protection
  - Using SABase
  - Using __json__()
- Authentication to FAS
  - TurboGears Identity Provider 2
  - Turbogears Identity Provider 1
  - Django Authentication Backend
  - Flask Auth Plugin
  - Flask FAS OpenId Auth Plugin
  - FAS Who Plugin for TurboGears2
- JavaScript
  - `fedora.dojo`
- API Documentation
  - Client
  - Service
- Glossary

# Indices and tables

- Glossary

- Index

- Module Index

- Search Page